# XSLTProcessor::__construct

(PHP 5, PHP 7)

XSLTProcessor::__construct — Creates a new XSLTProcessor object

### Description

XSLTProcessor::__construct ( void )

Creates a new XSLTProcessor object.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Creating an XSLTProcessor

`<?php
$xsldoc = new DOMDocument();
$xsldoc->load($xsl_filename);
$xmldoc = new DOMDocument();
$xmldoc->load($xml_filename);
$xsl = new XSLTProcessor();
$xsl->importStyleSheet($xsldoc);
echo $xsl->transformToXML($xmldoc);
?>`